Find the answer to your Linux question:
Results 1 to 10 of 10
i have RHEL 5 i am trying to install VLC player with this command yum install [file name] but it doesnt automaticaly download dependencies and gives this error in the ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12

    Unhappy [SOLVED] Yum install problem


    i have RHEL 5

    i am trying to install VLC player

    with this command

    yum install [file name]

    but it doesnt automaticaly download dependencies and gives this error in the end


    --> Running transaction check
    --> Processing Dependency: libfribidi.so.0 for package: vlc
    --> Processing Dependency: libdvdcss >= 1.2.5 for package: libdvdread
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package libdvdcss.i386 0:1.2.10-1.el5.rf set to be updated
    --> Running transaction check
    --> Processing Dependency: libfribidi.so.0 for package: vlc
    --> Finished Dependency Resolution
    Error: Missing Dependency: libfribidi.so.0 is needed by package vlc

    what do i do ..... if any one can help me

  2. #2
    Linux Engineer b2bwild's Avatar
    Join Date
    Jul 2008
    Location
    Behind You!
    Posts
    1,108
    Add the required repositories
    Never make any misteaks.

    Read my Blog at --> Penguin Inside Subscribe Feed

  3. #3
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12

    ??

    well that is what i am trying to ask .... how ??

  4. $spacer_open
    $spacer_close
  5. #4
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Have you checked the link posted by b2bwild? Very simple Installation instructions have been listed on that link.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  6. #5
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12

    :(

    yes i tryed the link updated my yum and installed apt and rpmforge and updated apt too....

    when give this apt-get install (package name) following error displays
    The following packages have unmet dependencies:

  7. #6
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Post the output of this
    Code:
    yum repolist
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  8. #7
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12
    [root@administrator temp]# yum install vlc-0.8.6d-1.el5.rf.i386.rpm
    Loading "rhnplugin" plugin
    Loading "installonlyn" plugin
    This system is not registered with RHN.
    RHN support will be disabled.
    Setting up Install Process
    Setting up repositories
    rpmforge 100% |=========================| 1.1 kB 00:00
    Reading repository metadata in from local files
    primary.xml.gz 100% |=========================| 3.2 MB 00:56
    ################################################## 8863/8863
    Parsing package install arguments
    Examining vlc-0.8.6d-1.el5.rf.i386.rpm: vlc - 0.8.6d-1.el5.rf.i386
    Marking vlc-0.8.6d-1.el5.rf.i386.rpm to be installed
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package vlc.i386 0:0.8.6d-1.el5.rf set to be updated
    --> Running transaction check
    --> Processing Dependency: libwx_gtk2u_html-2.6.so.0 for package: vlc
    --> Processing Dependency: libwx_gtk2u_adv-2.6.so.0 for package: vlc
    --> Processing Dependency: libopendaap.so.0 for package: vlc
    --> Processing Dependency: libcucul.so.0 for package: vlc
    --> Processing Dependency: libebml.so.0 for package: vlc
    --> Processing Dependency: libvcdinfo.so.0 for package: vlc
    --> Processing Dependency: libdvdnav.so.4 for package: vlc
    --> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6) for package: vlc
    --> Processing Dependency: libmpcdec.so.3 for package: vlc
    --> Processing Dependency: libfaac.so.0 for package: vlc
    --> Processing Dependency: libupnp.so.2 for package: vlc
    --> Processing Dependency: libSDL_image-1.2.so.0 for package: vlc
    --> Processing Dependency: libwx_gtk2u_qa-2.6.so.0 for package: vlc
    --> Processing Dependency: libcddb.so.2 for package: vlc
    --> Processing Dependency: libid3tag.so.0 for package: vlc
    --> Processing Dependency: libmatroska.so.0 for package: vlc
    --> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2) for package: vlc
    --> Processing Dependency: libwx_baseu_xml-2.6.so.0 for package: vlc
    --> Processing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6) for package: vlc
    --> Processing Dependency: libwx_baseu-2.6.so.0(WXU_2.6) for package: vlc
    --> Processing Dependency: libwx_baseu_net-2.6.so.0 for package: vlc
    --> Processing Dependency: libfribidi.so.0 for package: vlc
    --> Processing Dependency: libmad.so.0 for package: vlc
    --> Processing Dependency: liba52.so.0 for package: vlc
    --> Processing Dependency: libx264.so.55 for package: vlc
    --> Processing Dependency: libfaad.so.0 for package: vlc
    --> Processing Dependency: libmp3lame.so.0 for package: vlc
    --> Processing Dependency: libdvbpsi.so.4 for package: vlc
    --> Processing Dependency: libwx_gtk2u_core-2.6.so.0 for package: vlc
    --> Processing Dependency: libxosd.so.2 for package: vlc
    --> Processing Dependency: libmodplug.so.0 for package: vlc
    --> Processing Dependency: libiso9660.so.5 for package: vlc
    --> Processing Dependency: libdvdread.so.3 for package: vlc
    --> Processing Dependency: libwx_gtk2u_xrc-2.6.so.0 for package: vlc
    --> Processing Dependency: liblirc_client.so.0 for package: vlc
    --> Processing Dependency: libcdio.so.7 for package: vlc
    --> Processing Dependency: libcaca.so.0 for package: vlc
    --> Processing Dependency: libwx_baseu-2.6.so.0 for package: vlc
    --> Processing Dependency: libaa.so.1 for package: vlc
    --> Processing Dependency: libmpeg2.so.0 for package: vlc
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package lirc.i386 0:0.6.6-4.el5.rf set to be updated
    ---> Package wxGTK.i386 0:2.6.3-1.el5.rf set to be updated
    ---> Package faac.i386 0:1.26-1.el5.rf set to be updated
    ---> Package libdvbpsi.i386 0:0.1.5-2.el5.rf set to be updated
    ---> Package lame.i386 0:3.98.2-1.el5.rf set to be updated
    ---> Package SDL_image.i386 0:1.2.5-1.el5.rf set to be updated
    ---> Package faad2.i386 0:2.6.1-1.el5.rf set to be updated
    ---> Package vcdimager.i386 0:0.7.23-5.el5.rf set to be updated
    ---> Package libupnp.i386 0:1.4.2-1.el5.rf set to be updated
    ---> Package libid3tag.i386 0:0.15.1b-3.el5.rf set to be updated
    ---> Package aalib.i386 0:1.4.0-5.el5.rf set to be updated
    ---> Package libmad.i386 0:0.15.1b-4.el5.rf set to be updated
    ---> Package xosd.i386 0:2.2.14-1.el5.rf set to be updated
    ---> Package libcddb.i386 0:1.3.1-1.el5.rf set to be updated
    ---> Package libmodplug.i386 0:0.7-1.2.el5.rf set to be updated
    ---> Package libdvdnav.i386 0:0.1.10-3.el5.rf set to be updated
    ---> Package libmpeg2.i386 0:0.5.1-2.el5.rf set to be updated
    ---> Package libopendaap.i386 0:0.4.0-2.el5.rf set to be updated
    ---> Package libcdio.i386 0:0.77-1.el5.rf set to be updated
    ---> Package libebml.i386 0:0.7.8-1.el5.rf set to be updated
    ---> Package a52dec.i386 0:0.7.4-8.el5.rf set to be updated
    ---> Package libmatroska.i386 0:0.8.1-1.el5.rf set to be updated
    ---> Package x264.i386 0:0.0.0-0.4.20070529.el5.rf set to be updated
    ---> Package libmpcdec.i386 0:1.2.2-2.el5.rf set to be updated
    ---> Package libdvdread.i386 0:0.9.7-1.el5.rf set to be updated
    ---> Package libcaca.i386 0:0.99-0.1.beta11.el5.rf set to be updated
    --> Running transaction check
    --> Processing Dependency: libfribidi.so.0 for package: vlc
    --> Processing Dependency: libdvdcss >= 1.2.5 for package: libdvdread
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package libdvdcss.i386 0:1.2.10-1.el5.rf set to be updated
    --> Running transaction check
    --> Processing Dependency: libfribidi.so.0 for package: vlc
    --> Finished Dependency Resolution
    Error: Missing Dependency: libfribidi.so.0 is needed by package vlc

  9. #8
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12
    yum install fribidi-0.19.1-2.fc9.i386.rpm
    Loading "rhnplugin" plugin
    Loading "installonlyn" plugin
    This system is not registered with RHN.
    RHN support will be disabled.
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Parsing package install arguments
    Examining fribidi-0.19.1-2.fc9.i386.rpm: fribidi - 0.19.1-2.fc9.i386
    Marking fribidi-0.19.1-2.fc9.i386.rpm to be installed
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package fribidi.i386 0:0.19.1-2.fc9 set to be updated
    --> Running transaction check

    Dependencies Resolved

    ================================================== ===========================
    Package Arch Version Repository Size
    ================================================== ===========================
    Installing:
    fribidi i386 0.19.1-2.fc9 fribidi-0.19.1-2.fc9.i386.rpm 167 k

    Transaction Summary
    ================================================== ===========================
    Install 1 Package(s)
    Update 0 Package(s)
    Remove 0 Package(s)

    Total download size: 167 k
    Is this ok [y/N]: y
    Downloading Packages:
    warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4ebfc273


    Public key for fribidi-0.19.1-2.fc9.i386.rpm is not installed

  10. #9
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    This system is not registered with RHN.
    Haven't you purchased License key from RedHat?
    You won't be able to install any package unless you purchase license.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  11. #10
    Just Joined!
    Join Date
    Mar 2009
    Posts
    12
    oh ok thanks devil and b2b .... i ran that command again after restarting it then fribidi repo was needed only and when i yumed fribidi after downloading it ... it gave error but after simply rpming it ... it installed and then vlc .....

    and that is all because of your help ..... thanks dude

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •